%define version 1.0
%define release 5mdk
%define name wmglobe

Summary: A WindowMaker dock.app that displays a rotating Earth on an icon.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Toys
Source:		wmglobe-%{version}.tar.bz2
Patch:		wmglobe-%{version}-mdk-compliance.patch.bz2
URL:		http://perso.linuxfr.org/jdumont/wmg/
Requires:	WindowMaker >= 0.20.3
Prefix:		/usr/X11R6
BuildRoot:	/var/tmp/%{name}-buildroot

%description
WMGlobe is a WindowMaker dock.app that displays a rotating Earth on an icon.
It uses a map which is rendered on a sphere by raytracing. It is possible
to spin the Earth, to zoom, etc.

%prep
%setup
%patch -p0 -b .mdkcompliance

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{prefix}/{bin,man/man1}/
make install PREFIX="$RPM_BUILD_ROOT"%{prefix}/

%clean
[ -z $RPM_BUILD_ROOT ] || {
    rm -rf $RPM_BUILD_ROOT
}

%files
%defattr (-,root,root)
%doc README CHANGES
%{prefix}/bin/*
%{prefix}/man/man1/*

%changelog
* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com>  1.0-5mdk
- fix group

* Tue Jul 6 1999 G.Colbert <gregus@etudiant.net>
- Initial release.
- Tried to make this package "Linux-Mandrake" compliant (hence the patch).
- Please test this package deeply : this is my first RPM !
